Subject: 1000 singleladies from Russia are online now, have ineterst?

From: [email-masked]
Date: Thu, 8 Apr 2010 16:29:49 -0300

Find a perfect soul mate among the good-looking Russian women right here. 
http://pompeii96.spaces.live.com